DelegateAccessControlClient¶
- class oci.delegate_access_control.DelegateAccessControlClient(config, **kwargs)¶
Oracle Delegate Access Control allows customers of Oracle Exadata Database Service on Cloud@Customer (ExaDB-C@C), Oracle Exadata Database Service on Dedicated Infrastructure (ExaDB-D), and Oracle Exadata Database Service on Exascale Infrastructure (ExaDB-XS) to delegate management of their Exadata resources operators outside their tenancies. With Delegate Access Control, Service Providers can deliver managed services using comprehensive and robust tooling built on the OCI platform. Customers maintain control over who has access to the delegated resources in their tenancy and what actions can be taken. Enterprises managing resources across multiple tenants can use Delegate Access Control to streamline management tasks. Using logging service, customers can view a near real-time audit report of all actions performed by a Service Provider operator.
Methods:
__init__(config, **kwargs)Creates a new service client
Approves a Delegated Resource Access Request.
Moves the Delegation Control resource into a different compartment.
Moves the Delegation Subscription resource into a different compartment.
Creates a Delegation Control.
Creates Delegation Subscription in Delegation Control.
Deletes a Delegation Control.
Deletes an Delegation Subscription in Delegation Control.
Gets details of a Delegated Resource Access Request.
Gets the audit log report for the given Delegated Resource Access Request.
Gets the Delegation Control associated with the specified Delegation Control ID.
Gets a DelegationSubscription by identifier
get_service_provider(service_provider_id, ...)Gets a ServiceProvider by identifier
Gets the Service Provider Action associated with the specified Service Provider Action ID.
Returns a history of all status associated with the Delegated Resource Access RequestId.
Lists all Delegated Resource Access Requests in the compartment.
Returns a list of resources associated with the Delegation Control.
list_delegation_controls(compartment_id, ...)Lists the Delegation Controls in the compartment.
Lists the Delegation Subscriptions in Delegation Control.
Lists all the ServiceProviderActions available in the system.
Lists the MoreInformation interaction between customer and support operators.
list_service_providers(compartment_id, **kwargs)Lists the Service Providers.
Rejects a Delegated Resource Access Request.
Revokes an already approved Delegated Resource Access Request.
Posts query for additional information for the given Delegated Resource Access Request.
Updates the existing DelegationControl for a given Delegation Control ID.
Updates the existing DelegationSubscription for a given Delegation Subscription ID.
- __init__(config, **kwargs)¶
Creates a new service client
- Parameters
config (dict) – Configuration keys and values as per SDK and Tool Configuration. The
from_file()method can be used to load configuration from a file. Alternatively, adictcan be passed. You can validate_config the dict usingvalidate_config()service_endpoint (str) – (optional) The endpoint of the service to call using this client. For example
https://iaas.us-ashburn-1.oraclecloud.com. If this keyword argument is not provided then it will be derived using the region in the config parameter. You should only provide this keyword argument if you have an explicit need to specify a service endpoint.timeout (float or tuple(float, float)) – (optional) The connection and read timeouts for the client. The default values are connection timeout 10 seconds and read timeout 60 seconds. This keyword argument can be provided as a single float, in which case the value provided is used for both the read and connection timeouts, or as a tuple of two floats. If a tuple is provided then the first value is used as the connection timeout and the second value as the read timeout.
signer (
AbstractBaseSigner) –(optional) The signer to use when signing requests made by the service client. The default is to use a
Signerbased on the values provided in the config parameter.One use case for this parameter is for Instance Principals authentication by passing an instance of
InstancePrincipalsSecurityTokenSigneras the value for this keyword argumentretry_strategy (obj) –
(optional) A retry strategy to apply to all calls made by this service client (i.e. at the client level). There is no retry strategy applied by default. Retry strategies can also be applied at the operation level by passing a
retry_strategykeyword argument as part of calling the operation. Any value provided at the operation level will override whatever is specified at the client level.This should be one of the strategies available in the
retrymodule. A convenienceDEFAULT_RETRY_STRATEGYis also available. The specifics of the default retry strategy are described here.circuit_breaker_strategy (obj) – (optional) A circuit breaker strategy to apply to all calls made by this service client (i.e. at the client level). This client uses
DEFAULT_CIRCUIT_BREAKER_STRATEGYas default if no circuit breaker strategy is provided. The specifics of circuit breaker strategy are described here.circuit_breaker_callback (function) – (optional) Callback function to receive any exceptions triggerred by the circuit breaker.
client_level_realm_specific_endpoint_template_enabled (bool) – (optional) A boolean flag to indicate whether or not this client should be created with realm specific endpoint template enabled or disable. By default, this will be set as None.
allow_control_chars – (optional) allow_control_chars is a boolean to indicate whether or not this client should allow control characters in the response object. By default, the client will not allow control characters to be in the response object.
enable_strict_url_encoding – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this client should enable strict url encoding in path params of a request. By default, the client will not enable strict url encoding
- approve_delegated_resource_access_request(delegated_resource_access_request_id, approve_delegated_resource_access_request_details, **kwargs)¶
Approves a Delegated Resource Access Request.
- Parameters
delegated_resource_access_request_id (str) – (required) Unique Delegated Resource Access Request identifier
approve_delegated_resource_access_request_details (oci.delegate_access_control.models.ApproveDelegatedResourceAccessRequestDetails) – (required) Details regarding the approval of a Delegated Resource Access Request created by the support operator.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use approve_delegated_resource_access_request API.
- change_delegation_control_compartment(delegation_control_id, change_delegation_control_compartment_details, **kwargs)¶
Moves the Delegation Control resource into a different compartment. When provided, ‘If-Match’ is checked against ‘ETag’ values of the resource.
- Parameters
delegation_control_id (str) – (required) unique Delegation Control identifier
change_delegation_control_compartment_details (oci.delegate_access_control.models.ChangeDelegationControlCompartmentDetails) – (required) Moves the Delegation Control resource into a different compartment.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_delegation_control_compartment API.
- change_delegation_subscription_compartment(delegation_subscription_id, change_delegation_subscription_compartment_details, **kwargs)¶
Moves the Delegation Subscription resource into a different compartment. When provided, ‘If-Match’ is checked against ‘ETag’ values of the resource.
- Parameters
delegation_subscription_id (str) – (required) unique Delegation Subscription identifier
change_delegation_subscription_compartment_details (oci.delegate_access_control.models.ChangeDelegationSubscriptionCompartmentDetails) – (required) Moves the Delegation Subscription resource into a different compartment.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use change_delegation_subscription_compartment API.
- create_delegation_control(create_delegation_control_details, **kwargs)¶
Creates a Delegation Control.
- Parameters
create_delegation_control_details (oci.delegate_access_control.models.CreateDelegationControlDetails) – (required) Details for the new Delegation Control.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDelegationControl- Return type
- Example
Click here to see an example of how to use create_delegation_control API.
- create_delegation_subscription(create_delegation_subscription_details, **kwargs)¶
Creates Delegation Subscription in Delegation Control.
- Parameters
create_delegation_subscription_details (oci.delegate_access_control.models.CreateDelegationSubscriptionDetails) – (required) Details for creating Delegation Subscription in Delegation Control.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDelegationSubscription- Return type
- Example
Click here to see an example of how to use create_delegation_subscription API.
- delete_delegation_control(delegation_control_id, **kwargs)¶
Deletes a Delegation Control. You cannot delete a Delegation Control if it is assigned to govern any target resource currently or in the future. In that case, first, delete all of the current and future assignments before deleting the Delegation Control. A Delegation Control that was previously assigned to a target resource is marked as DELETED following a successful deletion. However, it is not completely deleted from the system. This is to ensure auditing information for the accesses done under the Delegation Control is preserved for future needs. The system purges the deleted Delegation Control only when all of the audit data associated with the Delegation Control are also deleted. Therefore, you cannot reuse the name of the deleted Delegation Control until the system purges the Delegation Control.
- Parameters
delegation_control_id (str) – (required) unique Delegation Control identifier
description (str) – (optional) Reason why this Delegation Control is deleted.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_delegation_control API.
- delete_delegation_subscription(delegation_subscription_id, **kwargs)¶
Deletes an Delegation Subscription in Delegation Control.
- Parameters
delegation_subscription_id (str) – (required) unique Delegation Subscription identifier
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use delete_delegation_subscription API.
- get_delegated_resource_access_request(delegated_resource_access_request_id, **kwargs)¶
Gets details of a Delegated Resource Access Request.
- Parameters
delegated_resource_access_request_id (str) – (required) Unique Delegated Resource Access Request identifier
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDelegatedResourceAccessRequest- Return type
- Example
Click here to see an example of how to use get_delegated_resource_access_request API.
- get_delegated_resource_access_request_audit_log_report(delegated_resource_access_request_id, **kwargs)¶
Gets the audit log report for the given Delegated Resource Access Request.
- Parameters
delegated_resource_access_request_id (str) – (required) Unique Delegated Resource Access Request identifier
is_process_tree_enabled (bool) – (optional) Set to true to enable process tree computation in audit report
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDelegatedResourceAccessRequestAuditLogReport- Return type
- Example
Click here to see an example of how to use get_delegated_resource_access_request_audit_log_report API.
- get_delegation_control(delegation_control_id, **kwargs)¶
Gets the Delegation Control associated with the specified Delegation Control ID.
- Parameters
delegation_control_id (str) – (required) unique Delegation Control identifier
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDelegationControl- Return type
- Example
Click here to see an example of how to use get_delegation_control API.
- get_delegation_subscription(delegation_subscription_id, **kwargs)¶
Gets a DelegationSubscription by identifier
- Parameters
delegation_subscription_id (str) – (required) unique Delegation Subscription identifier
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDelegationSubscription- Return type
- Example
Click here to see an example of how to use get_delegation_subscription API.
- get_service_provider(service_provider_id, **kwargs)¶
Gets a ServiceProvider by identifier
- Parameters
service_provider_id (str) – (required) unique Service Provider identifier
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeServiceProvider- Return type
- Example
Click here to see an example of how to use get_service_provider API.
- get_service_provider_action(service_provider_action_id, **kwargs)¶
Gets the Service Provider Action associated with the specified Service Provider Action ID.
- Parameters
service_provider_action_id (str) – (required) Unique Oracle supplied identifier associated with the Service Provider Action.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeServiceProviderAction- Return type
- Example
Click here to see an example of how to use get_service_provider_action API.
- list_delegated_resource_access_request_histories(delegated_resource_access_request_id, **kwargs)¶
Returns a history of all status associated with the Delegated Resource Access RequestId.
- Parameters
delegated_resource_access_request_id (str) – (required) Unique Delegated Resource Access Request identifier
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timestamp is descending. If no value is specified, timestamp is default.
Allowed values are: “timestamp”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDelegatedResourceAccessRequestHistoryCollection- Return type
- Example
Click here to see an example of how to use list_delegated_resource_access_request_histories API.
- list_delegated_resource_access_requests(compartment_id, **kwargs)¶
Lists all Delegated Resource Access Requests in the compartment. Note that only one of lifecycleState or requestStatus query parameter can be used.
- Parameters
compartment_id (str) –
(required) The OCID of the compartment.
delegation_control_id (str) – (optional) unique Delegation Control identifier
resource_id (str) – (optional) A filter to return only Delegated Resource Access Requests for the given resource identifier.
lifecycle_state (str) –
(optional) A filter to return only Delegated Resource Access Requests whose lifecycleState matches the given Delegated Resource Access Request lifecycleState.
Allowed values are: “ACCEPTED”, “IN_PROGRESS”, “WAITING”, “FAILED”, “SUCCEEDED”, “CANCELING”, “CANCELED”, “NEEDS_ATTENTION”
request_status (str) –
(optional) A filter to return only Delegated Resource Access Requests whose status matches the given Delegated Resource Access Request status.
Allowed values are: “CREATED”, “APPROVAL_WAITING”, “OPERATOR_ASSIGNMENT_WAITING”, “PREAPPROVED”, “APPROVED”, “APPROVED_FOR_FUTURE”, “REJECTED”, “DEPLOYED”, “DEPLOY_FAILED”, “UNDEPLOYED”, “UNDEPLOY_FAILED”, “CLOSE_FAILED”, “REVOKE_FAILED”, “EXPIRY_FAILED”, “REVOKING”, “REVOKED”, “EXTENDING”, “EXTENDED”, “EXTENSION_REJECTED”, “EXTENSION_FAILED”, “COMPLETING”, “COMPLETED”, “EXPIRED”
time_start (datetime) – (optional) Query start time in UTC in ISO 8601 format(inclusive). Example 2019-10-30T00:00:00Z (yyyy-MM-ddThh:mm:ssZ). timeIntervalStart and timeIntervalEnd parameters cannot be used together.
time_end (datetime) – (optional) Query end time in UTC in ISO 8601 format(inclusive). Example 2019-10-30T00:00:00Z (yyyy-MM-ddThh:mm:ssZ). timeIntervalStart and timeIntervalEnd parameters cannot be used together.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified, default is timeCreated.
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDelegatedResourceAccessRequestSummaryCollection- Return type
- Example
Click here to see an example of how to use list_delegated_resource_access_requests API.
- list_delegation_control_resources(delegation_control_id, **kwargs)¶
Returns a list of resources associated with the Delegation Control.
- Parameters
delegation_control_id (str) – (required) unique Delegation Control identifier
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDelegationControlResourceCollection- Return type
- Example
Click here to see an example of how to use list_delegation_control_resources API.
- list_delegation_controls(compartment_id, **kwargs)¶
Lists the Delegation Controls in the compartment.
- Parameters
compartment_id (str) –
(required) The OCID of the compartment.
lifecycle_state (str) –
(optional) A filter to return only Delegation Control resources whose lifecycleState matches the given Delegation Control lifecycle state.
Allowed values are: “CREATING”, “ACTIVE”, “UPDATING”, “DELETING”, “DELETED”, “FAILED”, “NEEDS_ATTENTION”
display_name (str) – (optional) A filter to return Delegation Control resources that match the given display name.
resource_type (str) –
(optional) A filter to return only resources that match the given resource type.
Allowed values are: “VMCLUSTER”, “CLOUDVMCLUSTER”, “EXADBVMCLUSTER”
resource_id (str) – (optional) A filter to return Delegation Control resources that match the given resource ID.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified, default is timeCreated.
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDelegationControlSummaryCollection- Return type
- Example
Click here to see an example of how to use list_delegation_controls API.
- list_delegation_subscriptions(compartment_id, **kwargs)¶
Lists the Delegation Subscriptions in Delegation Control.
- Parameters
compartment_id (str) –
(required) The OCID of the compartment.
lifecycle_state (str) –
(optional) A filter to return only Delegation Subscription resources whose lifecycleState matches the given Delegation Subscription lifecycle state.
Allowed values are: “CREATING”, “ACTIVE”, “UPDATING”, “DELETING”, “DELETED”, “FAILED”
display_name (str) – (optional) A filter to return Delegation Subscription resources that match the given display name.
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for displayName is ascending. If no value is specified, timeCreated is default.
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDelegationSubscriptionSummaryCollection- Return type
- Example
Click here to see an example of how to use list_delegation_subscriptions API.
- list_service_provider_actions(compartment_id, **kwargs)¶
Lists all the ServiceProviderActions available in the system.
- Parameters
compartment_id (str) –
(required) The OCID of the compartment.
name (str) – (optional) A filter to return only resources that match the entire name given.
resource_type (str) –
(optional) A filter to return only resources that match the given resource type.
Allowed values are: “VMCLUSTER”, “CLOUDVMCLUSTER”, “EXADBVMCLUSTER”
service_provider_service_type (list[str]) –
(optional) A filter to return only resources that match the given Service Provider service type.
Allowed values are: “TROUBLESHOOTING”, “ASSISTED_PATCHING”, “MANAGED_SOFTWARE_UPDATES”
lifecycle_state (str) –
(optional) A filter to return only resources whose lifecycleState matches the given Service Provider Action lifecycleState.
Allowed values are: “ACTIVE”, “INACTIVE”
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for name is ascending. If no value is specified, default is timeCreated.
Allowed values are: “timeCreated”, “name”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeServiceProviderActionSummaryCollection- Return type
- Example
Click here to see an example of how to use list_service_provider_actions API.
- list_service_provider_interactions(delegated_resource_access_request_id, **kwargs)¶
Lists the MoreInformation interaction between customer and support operators.
- Parameters
delegated_resource_access_request_id (str) – (required) Unique Delegated Resource Access Request identifier
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeServiceProviderInteractionCollection- Return type
- Example
Click here to see an example of how to use list_service_provider_interactions API.
- list_service_providers(compartment_id, **kwargs)¶
Lists the Service Providers.
- Parameters
compartment_id (str) –
(required) The OCID of the compartment.
lifecycle_state (str) –
(optional) A filter to return only Service Provider resources whose lifecycleState matches the given Service Provider lifecycle state.
Allowed values are: “CREATING”, “ACTIVE”, “UPDATING”, “DELETING”, “DELETED”, “FAILED”
name (str) – (optional) A filter to return Service Provider resources that match the given name.
supported_resource_type (str) –
(optional) A filter to return only Service Provider resources whose supported resource type matches the given resource type.
Allowed values are: “VMCLUSTER”, “CLOUDVMCLUSTER”, “EXADBVMCLUSTER”
service_provider_type (str) –
(optional) A filter to return only Service Provider resources whose provider type matches the given provider type.
Allowed values are: “ORACLE_PROVIDED”
limit (int) – (optional) The maximum number of items to return.
page (str) – (optional) The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.
sort_order (str) –
(optional) The sort order to use, either ‘asc’ or ‘desc’.
Allowed values are: “ASC”, “DESC”
sort_by (str) –
(optional) The field to sort by. Only one sort order may be provided. Default order for timeCreated is descending. Default order for name is ascending. If no value is specified, timeCreated is default.
Allowed values are: “timeCreated”, “displayName”
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeServiceProviderSummaryCollection- Return type
- Example
Click here to see an example of how to use list_service_providers API.
- reject_delegated_resource_access_request(delegated_resource_access_request_id, reject_delegated_resource_access_request_details, **kwargs)¶
Rejects a Delegated Resource Access Request.
- Parameters
delegated_resource_access_request_id (str) – (required) Unique Delegated Resource Access Request identifier
reject_delegated_resource_access_request_details (oci.delegate_access_control.models.RejectDelegatedResourceAccessRequestDetails) – (required) Details regarding the rejection of a Delegated Resource Access Request created by the support operator.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use reject_delegated_resource_access_request API.
- revoke_delegated_resource_access_request(delegated_resource_access_request_id, revoke_delegated_resource_access_request_details, **kwargs)¶
Revokes an already approved Delegated Resource Access Request.
- Parameters
delegated_resource_access_request_id (str) – (required) Unique Delegated Resource Access Request identifier
revoke_delegated_resource_access_request_details (oci.delegate_access_control.models.RevokeDelegatedResourceAccessRequestDetails) – (required) Details regarding the revocation of a Delegated Resource Access Request created by the support operator.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use revoke_delegated_resource_access_request API.
- service_provider_interaction_request(delegated_resource_access_request_id, service_provider_interaction_request_details, **kwargs)¶
Posts query for additional information for the given Delegated Resource Access Request.
- Parameters
delegated_resource_access_request_id (str) – (required) Unique Delegated Resource Access Request identifier
service_provider_interaction_request_details (oci.delegate_access_control.models.ServiceProviderInteractionRequestDetails) – (required) Details containing Query for additional information provided by Customer.
opc_retry_token (str) – (optional) A token that uniquely identifies a request so it can be retried in case of a timeout or server error without risk of executing that same action again. Retry tokens expire after 24 hours, but can be invalidated before then due to conflicting operations. For example, if a resource has been deleted and purged from the system, then a retry of the original creation request might be rejected.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of type None- Return type
- Example
Click here to see an example of how to use service_provider_interaction_request API.
- update_delegation_control(delegation_control_id, update_delegation_control_details, **kwargs)¶
Updates the existing DelegationControl for a given Delegation Control ID.
- Parameters
delegation_control_id (str) – (required) unique Delegation Control identifier
update_delegation_control_details (oci.delegate_access_control.models.UpdateDelegationControlDetails) – (required) Details for the new DelegationControl.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDelegationControl- Return type
- Example
Click here to see an example of how to use update_delegation_control API.
- update_delegation_subscription(delegation_subscription_id, update_delegation_subscription_details, **kwargs)¶
Updates the existing DelegationSubscription for a given Delegation Subscription ID.
- Parameters
delegation_subscription_id (str) – (required) unique Delegation Subscription identifier
update_delegation_subscription_details (oci.delegate_access_control.models.UpdateDelegationSubscriptionDetails) – (required) Details for the DelegationSubscription to be updated.
if_match (str) – (optional) For optimistic concurrency control. In the PUT or DELETE call for a resource, set the if-match parameter to the value of the etag from a previous GET or POST response for that resource. The resource will be updated or deleted only if the etag you provide matches the resource’s current etag value.
opc_request_id (str) – (optional) The client request ID for tracing.
retry_strategy (obj) –
(optional) A retry strategy to apply to this specific operation/call. This will override any retry strategy set at the client-level.
This should be one of the strategies available in the
retrymodule. This operation usesDEFAULT_RETRY_STRATEGYas default if no retry strategy is provided. The specifics of the default retry strategy are described here.To have this operation explicitly not perform any retries, pass an instance of
NoneRetryStrategy.allow_control_chars (bool) – (optional) allow_control_chars is a boolean to indicate whether or not this request should allow control characters in the response object. By default, the response will not allow control characters in strings
enable_strict_url_encoding (bool) – (optional) enable_strict_url_encoding is a boolean to indicate whether or not this request should enable strict url encoding for path params. By default, strict url encoding for path params is disabled
- Returns
A
Responseobject with data of typeDelegationSubscription- Return type
- Example
Click here to see an example of how to use update_delegation_subscription API.